Package wx :: Module aui :: Class AuiNotebookEvent

[frames | no frames]

## Type AuiNotebookEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
               NotifyEvent --+
                             |
                            AuiNotebookEvent

Proxy of C++ AuiNotebookEvent class

Method Summary
NotifyEvent | ``__init__`(self, commandType, winid)` An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening.
AuiNotebook | `GetDragSource(self)`
int | `GetOldSelection(self)`
int | ``GetSelection`(self)` Returns item index for a listbox or choice selection event (not valid for a deselection).
| `SetDragSource(self, s)`
| `SetOldSelection(self, s)`
| `SetSelection(self, s)`

Property Summary
| `drag_source`
| `old_selection`
| `OldSelection`: See `GetOldSelection` and `SetOldSelection`
| `Selection`: See `GetSelection` and `SetSelection`
| `selection`
| `thisown`: The membership flag

Method Details

### __init__(self, command_type=wxEVT_NULL, win_id=0)
(Constructor)

An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening. The event handler can call `Veto` or `Allow` to tell the control what to do.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    NotifyEvent
  Overrides:
    `wx.NotifyEvent.__init__` (inherited documentation)

### GetSelection(self)

Returns item index for a listbox or choice selection event (not valid for a deselection).

  Returns:
    int
  Overrides:
    `wx.CommandEvent.GetSelection`

Property Details

### OldSelection

See `GetOldSelection` and `SetOldSelection`

  Get Method:
    `GetOldSelection`(self)
  Set Method:
    `SetOldSelection`(self, s)

### Selection

See `GetSelection` and `SetSelection`

  Get Method:
    `GetSelection`(self)
  Set Method:
    `SetSelection`(self, s)

### thisown

The membership flag

  Get Method:
    unknown--1216190676(...)
  Set Method:
    unknown--1216190620(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:06 2007 | http://epydoc.sf.net